<template>
  <div id="chart-delivery" style="height: 150px"></div>
</template>

<script>
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
am4core.useTheme(am4themes_animated);

export default {
  mounted() {
    this.createChartDelivery();
  },
  methods: {
    createChartDelivery() {
      var chartDelivery = am4core.create("chart-delivery", am4charts.PieChart);
      chartDelivery.data = [
        {
          type: "Delivery",
          percentage: 58.9,
        },
        {
          type: "Balcão",
          percentage: 71.9,
        },
        {
          type: "Telefone",
          percentage: 10.9,
        },
      ];

      var pieSeries = chartDelivery.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "percentage";
      pieSeries.dataFields.category = "type";
      chartDelivery.innerRadius = am4core.percent(50);
      pieSeries.labels.template.disabled = true;
      pieSeries.ticks.template.disabled = true;
      chartDelivery.legend = new am4charts.Legend();
      chartDelivery.legend.position = "right";
      chartDelivery.legend.fontSize = "10px";
    },
  },

  beforeDestroy() {
    if (this.chartDelivery) {
      this.chartDelivery.dispose();
    }
  },
};
</script>
